%global momorel 1
%global qtver 4.5.2

Summary: Libraries to integrate Last.fm services
Name: liblastfm
Version: 0.3.0
Release: %{momorel}m%{?dist}
License: GPLv3
URL: http://github.com/mxcl/liblastfm/tree/master
Group: System Environment/Libraries
Source0: http://cdn.last.fm/src/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-qmake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: fftw-devel
BuildPreReq: glib2-devel
BuildPreReq: keyutils-libs-devel
BuildPreReq: krb5-devel
BuildPreReq: libsamplerate-devel
BuildPreReq: openssl-devel
BuildPreReq: ruby
BuildPreReq: libselinux-devel
BuildPreReq: zlib-devel

%description
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package devel
Summary: Header files and static libraries from liblastfm
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on liblastfm.

%prep
%setup -q

%patch0 -p1 -b .qmake

%build
export LIB=%{_lib}
./configure \
	--prefix %{_prefix} \
	--release

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/liblastfm.so.*
%{_libdir}/liblastfm_fingerprint.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/lastfm
%{_includedir}/lastfm.h
%{_libdir}/liblastfm.so
%{_libdir}/liblastfm_fingerprint.so

%changelog
* Sat Sep  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- initial package for scrobblers using Momonga Linux
- import qmake.patch from Fedora
